TILED-QT(1)

NAME
terraingenerator - program to combine the terrains

SYNOPSIS

terraingenerator [{-h | --help} | {-v | --version} | {--overwrite} | {-e | --embed-image} | {-c T1 [T2 [Tn...]] | --combine T1 [T2 [Tn...]]} | {-s TS1 [TS2 [TSn...]] | --source TS1 [TS2 [TSn...]]} | {-o OUT | --output OUT} | {-p T1 [T2 [Tn...]] | --priority T1 [T2 [Tn...]]}]

DESCRIPTION

This manual page documents briefly the terraingenerator command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

terraingenerator is a program that combines terrains and outputs a tileset

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

--overwrite
    Target is overwritten rather than extended.

-e, --embed-image
    Tile images will be embedded in the TSX file instead of being saved as a separated PNG file.

-c T1 [T2 [Tn...]], --combine T1 [T2 [Tn...]]
    Specify the terrains to combine together (all combinations)

-s TS1 [TS2 [TSn...]], --source TS1 [TS2 [TSn...]]
    Add source tilesets, order is not important.

-p OUT, --output OUT
    Specify output tileset filename.

-p T1 [T2 [Tn...]], --priority T1 [T2 [Tn...]]
    Add terrain names to priority list (T1 < T2 < Tn)

BUGS

The upstreams BTS can be found at https://github.com/bjorn/tiled/issues.

SEE ALSO

tiled(1), tmxviewer(1)

AUTHOR

Ying-Chun Liu <paulliu@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2016 Ying-Chun Liu (PaulLiu)

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.